Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface TaskInfoXMLDocument.TaskInfoXML

All Superinterfaces:
  TaskInfoXMLType, XmlObject, XmlTokenSource

Enclosing interface:
  TaskInfoXMLDocument

    public static interface TaskInfoXMLDocument.TaskInfoXML

extends TaskInfoXMLType

An XML TaskInfoXML(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `TaskInfoXMLDocument.TaskInfoXML.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary

Methods inherited from interface com.bea.wli.worklist.xml.TaskInfoXMLType
`addNewAssignee, getAssignee, getCanBeAborted, getCanBeReassigned, getCanBeReturned, getClaimant, getClaimDueDate, getComment, getCompletionDueDate, getCreationDate, getDescription, getName, getOwner, getParentProcessId, getParentProcessUri, getPriority, getRequestType, getResponseType, getState, getTaskId, isSetAssignee, isSetClaimant, isSetClaimDueDate, isSetComment, isSetCompletionDueDate, isSetDescription, isSetParentProcessId, isSetParentProcessUri, isSetRequestType, isSetResponseType, setAssignee, setCanBeAborted, setCanBeReassigned, setCanBeReturned, setClaimant, setClaimDueDate, setComment, setCompletionDueDate, setCreationDate, setDescription, setName, setOwner, setParentProcessId, setParentProcessUri, setPriority, setRequestType, setResponseType, setState, setTaskId, unsetAssignee, unsetClaimant, unsetClaimDueDate, unsetComment, unsetCompletionDueDate, unsetDescription, unsetParentProcessId, unsetParentProcessUri, unsetRequestType, unsetResponseType, xgetCanBeAborted, xgetCanBeReassigned, xgetCanBeReturned, xgetClaimant, xgetClaimDueDate, xgetComment, xgetCompletionDueDate, xgetCreationDate, xgetDescription, xgetName, xgetOwner, xgetParentProcessId, xgetParentProcessUri, xgetPriority, xgetRequestType, xgetResponseType, xgetState, xgetTaskId, xsetCanBeAborted, xsetCanBeReassigned, xsetCanBeReturned, xsetClaimant, xsetClaimDueDate, xsetComment, xsetCompletionDueDate, xsetCreationDate, xsetDescription, xsetName, xsetOwner, xsetParentProcessId, xsetParentProcessUri, xsetPriority, xsetRequestType, xsetResponseType, xsetState, xsetTaskId`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD